<template>
  <slot />
</template>

<script setup lang="ts">
import { provideSomeThemeVar } from './ThemeDefine';

defineOptions({
  options: {
    virtualHost: true
  }
})

const props = defineProps({
  vars: Object,
})

provideSomeThemeVar(props.vars || {});
</script>